* configure.in: Eliminate references to gash.
[deliverable/binutils-gdb.git] / configure.in
CommitLineData
252b5132
RH
1#! /bin/bash
2##############################################################################
3
4## This file is a shell script fragment that supplies the information
5## necessary to tailor a template configure script into the configure
6## script appropriate for this directory. For more information, check
7## any existing configure script.
8
9## Be warned, there are two types of configure.in files. There are those
10## used by Autoconf, which are macros which are expanded into a configure
11## script by autoconf. The other sort, of which this is one, is executed
12## by Cygnus configure.
13
14## For more information on these two systems, check out the documentation
15## for 'Autoconf' (autoconf.texi) and 'Configure' (configure.texi).
16
75205f78
DD
17# Copyright (C) 1992, 1993, 1994, 1995, 1996, 1997, 1998,
18# 1999, 2000, 2001, 2002 Free Software Foundation, Inc.
252b5132
RH
19#
20# This file is free software; you can redistribute it and/or modify it
21# under the terms of the GNU General Public License as published by
22# the Free Software Foundation; either version 2 of the License, or
23# (at your option) any later version.
24#
25# This program is distributed in the hope that it will be useful, but
26# WITHOUT ANY WARRANTY; without even the implied warranty of
27# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
28# General Public License for more details.
29#
30# You should have received a copy of the GNU General Public License
31# along with this program; if not, write to the Free Software
32# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
33
34##############################################################################
35
36### To add a new directory to the tree, first choose whether it is a target
37### or a host dependent tool. Then put it into the appropriate list
38### (library or tools, host or target), doing a dependency sort. For
39### example, gdb requires that byacc (or bison) be built first, so it is in
40### the ${host_tools} list after byacc and bison.
41
42
43# these libraries are used by various programs built for the host environment
44#
66f1ba4f 45host_libs="intl mmalloc libiberty opcodes bfd readline db tcl tk tcl8.1 tk8.1 tclX itcl tix libgui zlib"
252b5132 46
2e8357fc
AO
47libstdcxx_version="target-libstdc++-v3"
48# Don't use libstdc++-v3's flags to configure/build itself.
49libstdcxx_flags='`case $$dir in libstdc++-v3 | libjava) ;; *) test ! -f $$r/$(TARGET_SUBDIR)/libstdc++-v3/testsuite_flags || $(SHELL) $$r/$(TARGET_SUBDIR)/libstdc++-v3/testsuite_flags --build-includes;; esac` -L$$r/$(TARGET_SUBDIR)/libstdc++-v3/src -L$$r/$(TARGET_SUBDIR)/libstdc++-v3/src/.libs'
ba73c63f 50
252b5132
RH
51# these tools are built for the host environment
52# Note, the powerpc-eabi build depends on sim occurring before gdb in order to
53# know that we are building the simulator.
75205f78
DD
54host_tools="texinfo byacc flex bison binutils ld gas gcc cgen sid sim gdb make patch prms send-pr gprof gdbtest tgas etc expect dejagnu ash bash bzip2 m4 autoconf automake libtool ispell grep diff rcs cvssrc fileutils shellutils time textutils wdiff find emacs emacs19 uudecode hello tar gzip indent recode release sed utils guile perl apache inet gawk findutils snavigator libtool gettext zip fastjar"
55
56# libgcj represents the runtime libraries only used by gcj.
57libgcj="target-libffi \
58 target-boehm-gc \
59 target-zlib \
60 target-qthreads \
61 target-libjava"
252b5132
RH
62
63# these libraries are built for the target environment, and are built after
64# the host libraries and the host tools (which may be a cross compiler)
65#
66target_libs="target-libiberty \
67 target-libgloss \
68 target-newlib \
75205f78 69 target-librx \
ba73c63f
JM
70 ${libstdcxx_version} \
71 target-libf2c \
75205f78 72 ${libgcj}
ba73c63f 73 target-libobjc"
252b5132
RH
74
75# these tools are built using the target libs, and are intended to run only
76# in the target environment
77#
78# note: any program that *uses* libraries that are in the "target_libs"
79# list belongs in this list. those programs are also very likely
80# candidates for the "native_only" list which follows
81#
82target_tools="target-examples target-groff target-gperf"
83
84################################################################################
85
86## These two lists are of directories that are to be removed from the
87## ${configdirs} list for either cross-compilations or for native-
88## compilations. For example, it doesn't make that much sense to
89## cross-compile Emacs, nor is it terribly useful to compile target-libiberty in
90## a native environment.
91
92# directories to be built in the native environment only
93#
94# This must be a single line because of the way it is searched by grep in
95# the code below.
66f1ba4f 96native_only="autoconf automake libtool cvssrc emacs emacs19 fileutils find gawk gettext grep gzip hello indent ispell m4 rcs recode sed shellutils tar textutils uudecode wdiff gprof target-groff guile perl apache inet time ash bash bzip2 prms snavigator gnuserv target-gperf"
252b5132
RH
97
98# directories to be built in a cross environment only
99#
100cross_only="target-libgloss target-newlib target-cygmon target-opcodes target-libstub"
101
102## All tools belong in one of the four categories, and are assigned above
103## We assign ${configdirs} this way to remove all embedded newlines. This
104## is important because configure will choke if they ever get through.
105## ${configdirs} is directories we build using the host tools.
106## ${target_configdirs} is directories we build using the target tools.
107#
108configdirs=`echo ${host_libs} ${host_tools}`
109target_configdirs=`echo ${target_libs} ${target_tools}`
110
111################################################################################
112
113srctrigger=move-if-change
114srcname="gnu development package"
115
116# This gets set non-empty for some net releases of packages.
117appdirs=""
118
119# per-host:
120
121# Work in distributions that contain no compiler tools, like Autoconf.
26eadf68 122tentative_cc=""
252b5132
RH
123if [ -d ${srcdir}/config ]; then
124case "${host}" in
125 m68k-hp-hpux*)
26eadf68
DD
126 # Avoid "too much defining" errors from HPUX compiler.
127 tentative_cc="cc -Wp,-H256000"
252b5132
RH
128 host_makefile_frag="${host_makefile_frag} config/mh-hp300"
129 ;;
130 m68k-apollo-sysv*)
26eadf68 131 tentative_cc="cc -A ansi -A runtype,any -A systype,any -U__STDC__ -DUSG"
252b5132
RH
132 host_makefile_frag="${host_makefile_frag} config/mh-apollo68"
133 ;;
134 m68k-apollo-bsd*)
26eadf68
DD
135 #None of the Apollo compilers can compile gas or binutils. The preprocessor
136 # chokes on bfd, the compiler won't let you assign integers to enums, and
137 # other problems. Defining CC to gcc is a questionable way to say "don't use
138 # the apollo compiler" (the preferred version of GCC could be called cc,
139 # or whatever), but I'm not sure leaving CC as cc is any better...
140 #CC=cc -A ansi -A runtype,any -A systype,any -U__STDC__ -DNO_STDARG
141 tentative_cc=gcc
252b5132
RH
142 host_makefile_frag="${host_makefile_frag} config/mh-a68bsd"
143 ;;
144 m88k-dg-dgux*)
26eadf68 145 tentative_cc="gcc -Wall -ansi -D__using_DGUX"
252b5132
RH
146 host_makefile_frag="${host_makefile_frag} config/mh-dgux"
147 ;;
148 m88k-harris-cxux*)
26eadf68
DD
149 # Under CX/UX, we want to tell the compiler to use ANSI mode.
150 tentative_cc="cc -Xa"
252b5132
RH
151 host_makefile_frag="${host_makefile_frag} config/mh-cxux"
152 ;;
153 m88k-motorola-sysv*)
154 host_makefile_frag="${host_makefile_frag} config/mh-delta88"
155 ;;
156 mips*-dec-ultrix*)
26eadf68 157 tentative_cc="cc -Wf,-XNg1000"
252b5132
RH
158 host_makefile_frag="${host_makefile_frag} config/mh-decstation"
159 ;;
160 mips*-nec-sysv4*)
26eadf68
DD
161 # The C compiler on NEC MIPS SVR4 needs bigger tables.
162 tentative_cc="cc -ZXNd=5000 -ZXNg=1000"
252b5132
RH
163 host_makefile_frag="${host_makefile_frag} config/mh-necv4"
164 ;;
165 mips*-sgi-irix6*)
166 host_makefile_frag="${host_makefile_frag} config/mh-irix6"
167 ;;
168 mips*-sgi-irix5*)
169 host_makefile_frag="${host_makefile_frag} config/mh-irix5"
170 ;;
171 mips*-sgi-irix4*)
26eadf68
DD
172 # Tell compiler to use K&R C. We can't compile under the SGI Ansi
173 # environment. Also bump switch table size so that cp-parse will
174 # compile. Bump string length limit so linker builds.
175 tentative_cc="cc -cckr -Wf,-XNg1500 -Wf,-XNk1000 -Wf,-XNh2000 -Wf,-XNl8192"
252b5132
RH
176 host_makefile_frag="${host_makefile_frag} config/mh-irix4"
177 ;;
178 mips*-sgi-irix3*)
179 host_makefile_frag="${host_makefile_frag} config/mh-sysv"
180 ;;
181 mips*-*-sysv4*)
182 host_makefile_frag="${host_makefile_frag} config/mh-sysv4"
183 ;;
184 mips*-*-sysv*)
26eadf68
DD
185 # This is for a MIPS running RISC/os 4.52C.
186
187 # This is needed for GDB, but needs to be in the top-level make because
188 # if a library is compiled with the bsd headers and gets linked with the
189 # sysv system libraries all hell can break loose (e.g. a jmp_buf might be
190 # a different size).
191 # ptrace(2) apparently has problems in the BSD environment. No workaround is
192 # known except to select the sysv environment. Could we use /proc instead?
193 # These "sysv environments" and "bsd environments" often end up being a pain.
194 #
195 # This is not part of CFLAGS because perhaps not all C compilers have this
196 # option.
197 tentative_cc="cc -systype sysv"
252b5132
RH
198 host_makefile_frag="${host_makefile_frag} config/mh-riscos"
199 ;;
ba73c63f 200 i370-ibm-opened*)
26eadf68 201 tentative_cc="c89"
ba73c63f
JM
202 host_makefile_frag="${host_makefile_frag} config/mh-openedition"
203 ;;
252b5132
RH
204 i[3456]86-*-sysv5*)
205 host_makefile_frag="${host_makefile_frag} config/mh-sysv5"
206 ;;
207 i[3456]86-*-dgux*)
26eadf68 208 tentative_cc="gcc -Wall -ansi -D__using_DGUX"
252b5132
RH
209 host_makefile_frag="${host_makefile_frag} config/mh-dgux386"
210 ;;
211 i[3456]86-ncr-sysv4.3*)
26eadf68
DD
212 # The MetaWare compiler will generate a copyright message unless you
213 # turn it off by adding the -Hnocopyr flag.
214 tentative_cc="cc -Hnocopyr"
252b5132
RH
215 host_makefile_frag="${host_makefile_frag} config/mh-ncrsvr43"
216 ;;
217 i[3456]86-ncr-sysv4*)
26eadf68
DD
218 # for an NCR 3000 (i486/SVR4) system.
219 # The NCR 3000 ships with a MetaWare compiler installed as /bin/cc.
220 # This compiler not only emits obnoxious copyright messages every time
221 # you run it, but it chokes and dies on a whole bunch of GNU source
222 # files. Default to using the AT&T compiler installed in /usr/ccs/ATT/cc.
223 tentative_cc="/usr/ccs/ATT/cc"
252b5132
RH
224 host_makefile_frag="${host_makefile_frag} config/mh-ncr3000"
225 ;;
226 i[3456]86-*-sco3.2v5*)
227 host_makefile_frag="${host_makefile_frag} config/mh-sysv"
228 ;;
229 i[3456]86-*-sco*)
26eadf68
DD
230 # The native C compiler botches some simple uses of const. Unfortunately,
231 # it doesn't defined anything like "__sco__" for us to test for in ansidecl.h.
232 tentative_cc="cc -Dconst="
252b5132
RH
233 host_makefile_frag="${host_makefile_frag} config/mh-sco"
234 ;;
235 i[3456]86-*-udk*)
236 host_makefile_frag="${host_makefile_frag} config/mh-sysv5"
237 ;;
238 i[3456]86-*-isc*)
239 host_makefile_frag="${host_makefile_frag} config/mh-sysv"
240 ;;
241 i[3456]86-*-solaris2*)
242 host_makefile_frag="${host_makefile_frag} config/mh-sysv4"
243 ;;
244 i[3456]86-*-aix*)
245 host_makefile_frag="${host_makefile_frag} config/mh-aix386"
246 ;;
247 i[3456]86-*-msdosdjgpp*)
248 host_makefile_frag="${host_makefile_frag} config/mh-djgpp"
249 ;;
250 *-cygwin*)
251 host_makefile_frag="${host_makefile_frag} config/mh-cygwin"
252 ;;
253 *-mingw32*)
254 host_makefile_frag="${host_makefile_frag} config/mh-mingw32"
255 ;;
256 *-interix*)
257 host_makefile_frag="${host_makefile_frag} config/mh-interix"
258 ;;
252b5132 259 vax-*-ultrix2*)
26eadf68
DD
260 # The old BSD pcc isn't up to compiling parts of gdb so use gcc
261 tentative_cc=gcc
252b5132
RH
262 ;;
263 *-*-solaris2*)
264 host_makefile_frag="${host_makefile_frag} config/mh-solaris"
265 ;;
266 m68k-sun-sunos*)
26eadf68
DD
267 # Sun's C compiler needs the -J flag to be able to compile cp-parse.c
268 # without overflowing the jump tables (-J says to use a 32 bit table)
269 tentative_cc="cc -J"
252b5132
RH
270 ;;
271 *-hp-hpux[78]*)
26eadf68 272 tentative_cc="cc -Wp,-H256000"
252b5132
RH
273 host_makefile_frag="${host_makefile_frag} config/mh-hpux8"
274 ;;
275 *-hp-hpux*)
26eadf68 276 tentative_cc="cc -Wp,-H256000"
252b5132
RH
277 host_makefile_frag="${host_makefile_frag} config/mh-hpux"
278 ;;
279 *-*-hiux*)
26eadf68 280 tentative_cc="cc -Wp,-H256000"
252b5132
RH
281 host_makefile_frag="${host_makefile_frag} config/mh-hpux"
282 ;;
283 rs6000-*-lynxos*)
26eadf68
DD
284 # /bin/cc is less than useful for our purposes. Always use GCC
285 tentative_cc="/usr/cygnus/progressive/bin/gcc"
252b5132
RH
286 host_makefile_frag="${host_makefile_frag} config/mh-lynxrs6k"
287 ;;
288 *-*-lynxos*)
26eadf68
DD
289 # /bin/cc is less than useful for our purposes. Always use GCC
290 tentative_cc="/bin/gcc"
252b5132 291 ;;
252b5132
RH
292 *-*-sysv4*)
293 host_makefile_frag="${host_makefile_frag} config/mh-sysv4"
294 ;;
295 *-*-sysv*)
296 host_makefile_frag="${host_makefile_frag} config/mh-sysv"
297 ;;
298esac
299fi
300
301# If we aren't going to be using gcc, see if we can extract a definition
302# of CC from the fragment.
26eadf68 303# Actually, use the 'pre-extracted' version above.
252b5132
RH
304if [ -z "${CC}" ] && [ "${build}" = "${host}" ]; then
305 IFS="${IFS= }"; save_ifs="$IFS"; IFS="${IFS}:"
306 found=
307 for dir in $PATH; do
308 test -z "$dir" && dir=.
309 if test -f $dir/gcc; then
310 found=yes
311 break
312 fi
313 done
314 IFS="$save_ifs"
26eadf68
DD
315 if [ -z "${found}" ] && [ -n "${tentative_cc}" ] ; then
316 CC=$tentative_cc
252b5132
RH
317 fi
318fi
319
320# We default to --with-shared on platforms where -fpic is meaningless.
321# Well, we don't yet, but we will.
322if false && [ "${host}" = "${target}" ] && [ x${enable_shared} = x ]; then
323 case "${target}" in
324 alpha*-dec-osf*) enable_shared=yes ;;
325 alpha*-*-linux*) enable_shared=yes ;;
326 mips-sgi-irix5*) enable_shared=yes ;;
327 *) enable_shared=no ;;
328 esac
329fi
330
75205f78
DD
331# hpux11 in 64bit mode has libraries in a weird place. Arrange to find
332# them automatically.
333case "${host}" in
334 hppa*64*-*-hpux11*)
335 withoptions="$withoptions -x-libraries=/usr/lib/pa20_64 -x-includes=/usr/X11R6/include"
336 ;;
337esac
338
252b5132
RH
339case "${enable_shared}" in
340 yes) shared=yes ;;
341 no) shared=no ;;
342 "") shared=no ;;
343 *) shared=yes ;;
344esac
345
252b5132
RH
346rm -f mh-frag
347if [ -n "${host_makefile_frag}" ] ; then
348 for f in ${host_makefile_frag}
349 do
350 cat ${srcdir}/$f >> mh-frag
351 done
352 host_makefile_frag=mh-frag
353fi
354
355# per-target:
356
357case "${target}" in
358 v810*)
359 target_makefile_frag="${target_makefile_frag} config/mt-v810"
360 ;;
361 i[3456]86-*-netware*)
362 target_makefile_frag="${target_makefile_frag} config/mt-netware"
363 ;;
364 powerpc-*-netware*)
365 target_makefile_frag="${target_makefile_frag} config/mt-netware"
366 ;;
75205f78
DD
367 alpha*-*-linux*)
368 target_makefile_frag="${target_makefile_frag} config/mt-linux"
369 target_makefile_frag="${target_makefile_frag} config/mt-alphaieee"
370 ;;
371 alpha*-*-*)
372 target_makefile_frag="${target_makefile_frag} config/mt-alphaieee"
373 ;;
374 *-*-linux*)
252b5132
RH
375 target_makefile_frag="${target_makefile_frag} config/mt-linux"
376 ;;
91b2c84d
GK
377 *-*-aix4.[3456789]* | *-*-aix[56789].*)
378 target_makefile_frag="${target_makefile_frag} config/mt-aix43"
379 ;;
2fb651f6
NC
380 mips*-*-pe | sh*-*-pe | *arm-wince-pe)
381 target_makefile_frag="${target_makefile_frag} config/mt-wince"
382 ;;
252b5132
RH
383esac
384
385# If --enable-target-optspace always use -Os instead of -O2 to build
386# the target libraries, similarly if it is not specified, use -Os
387# on selected platforms.
388case "${enable_target_optspace}:${target}" in
389 yes:*)
390 target_makefile_frag="${target_makefile_frag} config/mt-ospace"
391 ;;
252b5132
RH
392 :d30v-*)
393 target_makefile_frag="${target_makefile_frag} config/mt-d30v"
394 ;;
395 :m32r-* | :d10v-* | :fr30-*)
396 target_makefile_frag="${target_makefile_frag} config/mt-ospace"
397 ;;
398 no:* | :*)
399 ;;
400 *)
401 echo "*** bad value \"${enable_target_optspace}\" for --enable-target-optspace flag; ignored" 1>&2
402 ;;
403esac
404
405skipdirs=
406gasdir=gas
407use_gnu_ld=
408use_gnu_as=
409
410# some tools are so dependent upon X11 that if we're not building with X,
411# it's not even worth trying to configure, much less build, that tool.
412
413case ${with_x} in
414 yes | "") # the default value for this tree is that X11 is available
415 ;;
416 no)
66f1ba4f 417 skipdirs="${skipdirs} tk libgui"
252b5132
RH
418 ;;
419 *)
420 echo "*** bad value \"${with_x}\" for -with-x flag; ignored" 1>&2
421 ;;
422esac
423
424# Some tools are only suitable for building in a "native" situation.
425# Those are added when we have a host==target configuration. For cross
426# toolchains, we add some directories that should only be useful in a
427# cross-compiler.
428
429is_cross_compiler=
430
431if [ x"${host}" = x"${target}" ] ; then
432 # when doing a native toolchain, don't build the targets
433 # that are in the 'cross only' list
434 skipdirs="${skipdirs} ${cross_only}"
435 is_cross_compiler=no
436else
437 # similarly, don't build the targets in the 'native only'
438 # list when building a cross compiler
439 skipdirs="${skipdirs} ${native_only}"
440 is_cross_compiler=yes
441fi
442
443# We always want to use the same name for this directory, so that dejagnu
444# can reliably find it.
445target_subdir=${target_alias}
446
447if [ ! -d ${target_subdir} ] ; then
448 if mkdir ${target_subdir} ; then true
449 else
450 echo "'*** could not make ${PWD=`pwd`}/${target_subdir}" 1>&2
451 exit 1
452 fi
453fi
454
49b7683b
DD
455build_subdir=${build_alias}
456
457if [ x"${build_alias}" != x"${host}" ] ; then
458 if [ ! -d ${build_subdir} ] ; then
459 if mkdir ${build_subdir} ; then true
460 else
461 echo "'*** could not make ${PWD=`pwd`}/${build_subdir}" 1>&2
462 exit 1
463 fi
464 fi
465fi
466
252b5132
RH
467copy_dirs=
468
469# Handle --with-headers=XXX. The contents of the named directory are
470# copied to $(tooldir)/sys-include.
471if [ x"${with_headers}" != x ]; then
472 if [ x${is_cross_compiler} = xno ]; then
473 echo 1>&2 '***' --with-headers is only supported when cross compiling
474 exit 1
475 fi
476 case "${exec_prefixoption}" in
477 "") x=${prefix} ;;
478 *) x=${exec_prefix} ;;
479 esac
480 copy_dirs="${copy_dirs} ${with_headers} $x/${target_alias}/sys-include"
481fi
482
483# Handle --with-libs=XXX. Multiple directories are permitted. The
484# contents are copied to $(tooldir)/lib.
485if [ x"${with_libs}" != x ]; then
486 if [ x${is_cross_compiler} = xno ]; then
487 echo 1>&2 '***' --with-libs is only supported when cross compiling
488 exit 1
489 fi
490 # Copy the libraries in reverse order, so that files in the first named
491 # library override files in subsequent libraries.
492 case "${exec_prefixoption}" in
493 "") x=${prefix} ;;
494 *) x=${exec_prefix} ;;
495 esac
496 for l in ${with_libs}; do
497 copy_dirs="$l $x/${target_alias}/lib ${copy_dirs}"
498 done
499fi
500
501# If both --with-headers and --with-libs are specified, default to
502# --without-newlib.
503if [ x"${with_headers}" != x ] && [ x"${with_libs}" != x ]; then
504 if [ x"${with_newlib}" = x ]; then
505 with_newlib=no
506 fi
507fi
508
509# Recognize --with-newlib/--without-newlib.
510if [ x${with_newlib} = xno ]; then
511 skipdirs="${skipdirs} target-newlib"
512elif [ x${with_newlib} = xyes ]; then
513 skipdirs=`echo " ${skipdirs} " | sed -e 's/ target-newlib / /'`
514fi
515
516# Default to using --with-stabs for certain targets.
517if [ x${with_stabs} = x ]; then
518 case "${target}" in
519 mips*-*-irix6*)
520 ;;
521 mips*-*-* | alpha*-*-osf*)
522 with_stabs=yes;
523 withoptions="${withoptions} --with-stabs"
524 ;;
525 esac
526fi
527
528# Handle ${copy_dirs}
529set fnord ${copy_dirs}
530shift
531while [ $# != 0 ]; do
532 if [ -f $2/COPIED ] && [ x"`cat $2/COPIED`" = x"$1" ]; then
533 :
534 else
535 echo Copying $1 to $2
536
537 # Use the install script to create the directory and all required
538 # parent directories.
539 if [ -d $2 ]; then
540 :
541 else
542 echo >config.temp
543 ${srcdir}/install-sh -c -m 644 config.temp $2/COPIED
544 fi
545
546 # Copy the directory, assuming we have tar.
547 # FIXME: Should we use B in the second tar? Not all systems support it.
548 (cd $1; tar -cf - .) | (cd $2; tar -xpf -)
549
550 # It is the responsibility of the user to correctly adjust all
551 # symlinks. If somebody can figure out how to handle them correctly
552 # here, feel free to add the code.
553
554 echo $1 > $2/COPIED
555 fi
556 shift; shift
557done
558
559# Configure extra directories which are host specific
560
561case "${host}" in
562 i[3456]86-*-go32*)
563 configdirs="$configdirs dosrel" ;;
564 i[3456]86-*-mingw32*)
565 configdirs="$configdirs dosrel" ;;
566 *-cygwin*)
567 configdirs="$configdirs libtermcap dosrel" ;;
568esac
569
570# Remove more programs from consideration, based on the host or
571# target this usually means that a port of the program doesn't
572# exist yet.
573
574noconfigdirs=""
575
576case "${host}" in
75205f78
DD
577 hppa*64*-*-*)
578 noconfigdirs="$noconfigdirs byacc"
579 ;;
252b5132
RH
580 i[3456]86-*-vsta)
581 noconfigdirs="tcl expect dejagnu make texinfo bison patch flex byacc send-pr gprof uudecode dejagnu diff guile perl apache inet itcl tix db snavigator gnuserv gettext"
582 ;;
583 i[3456]86-*-go32* | i[3456]86-*-msdosdjgpp*)
75205f78 584 noconfigdirs="tcl tk expect dejagnu send-pr uudecode guile apache inet itcl tix db snavigator gnuserv libffi"
252b5132
RH
585 ;;
586 i[3456]86-*-mingw32*)
587 # noconfigdirs="tcl tk expect dejagnu make texinfo bison patch flex byacc send-pr uudecode dejagnu diff guile perl apache inet itcl tix db snavigator gnuserv"
dc8bc5a6 588 noconfigdirs="expect dejagnu cvs autoconf automake send-pr rcs guile perl texinfo apache inet libtool"
252b5132
RH
589 ;;
590 i[3456]86-*-beos*)
591 noconfigdirs="$noconfigdirs tk itcl tix libgui gdb"
592 ;;
593 *-*-cygwin*)
8d6dd99d 594 noconfigdirs="autoconf automake send-pr rcs guile perl apache inet"
252b5132
RH
595 ;;
596 *-*-netbsd*)
597 noconfigdirs="rcs"
598 ;;
599 ppc*-*-pe)
600 noconfigdirs="patch diff make tk tcl expect dejagnu cvssrc autoconf automake texinfo bison send-pr gprof rcs guile perl apache inet itcl tix db snavigator gnuserv"
601 ;;
ba73c63f
JM
602 powerpc-*-beos*)
603 noconfigdirs="$noconfigdirs tk itcl tix libgui gdb dejagnu readline"
604 ;;
252b5132
RH
605esac
606
96111c10
AO
607# Save it here so that, even in case of --enable-libgcj, if the Java
608# front-end isn't enabled, we still get libgcj disabled.
609libgcj_saved=$libgcj
610case $enable_libgcj in
611yes)
612 # If we reset it here, it won't get added to noconfigdirs in the
613 # target-specific build rules, so it will be forcibly enabled
614 # (unless the Java language itself isn't enabled).
615 libgcj=
616 ;;
617no)
618 # Make sure we get it printed in the list of not supported target libs.
619 noconfigdirs="$noconfigdirs ${libgcj}"
620 ;;
621esac
622
252b5132 623case "${target}" in
75205f78
DD
624 *-*-chorusos)
625 noconfigdirs="$noconfigdirs target-newlib target-libgloss ${libgcj}"
626 ;;
ffb97b2f
DD
627 *-*-freebsd[12] | *-*-freebsd[12].* | *-*-freebsd*aout*)
628 noconfigdirs="$noconfigdirs target-newlib target-libgloss ${libgcj}"
629 ;;
e82380cc
JT
630 *-*-netbsd*)
631 # Skip some stuff on all NetBSD configurations.
632 skipdirs="$skipdirs target-newlib target-libiberty target-libgloss"
633
634 # Skip some stuff that's unsupported on some NetBSD configurations.
635 case "${target}" in
75205f78 636 i*86-*-netbsdelf*) ;;
e82380cc 637 *)
75205f78 638 noconfigdirs="$noconfigdirs ${libgcj}"
e82380cc
JT
639 ;;
640 esac
641 ;;
252b5132 642 *-*-netware)
75205f78 643 noconfigdirs="$noconfigdirs ${libstdcxx_version} target-librx target-newlib target-libiberty target-libgloss ${libgcj}"
252b5132
RH
644 ;;
645 *-*-rtems*)
75205f78 646 noconfigdirs="$noconfigdirs target-libgloss ${libgcj}"
252b5132
RH
647 ;;
648 *-*-vxworks*)
75205f78 649 noconfigdirs="$noconfigdirs target-newlib target-libgloss ${libgcj}"
252b5132
RH
650 ;;
651 alpha*-dec-osf*)
652 # ld works, but does not support shared libraries. emacs doesn't
653 # work. newlib is not 64 bit ready. I'm not sure about fileutils.
654 # gas doesn't generate exception information.
655 noconfigdirs="$noconfigdirs gas ld emacs fileutils target-newlib target-libgloss"
656 ;;
657 alpha*-*-*vms*)
75205f78
DD
658 noconfigdirs="$noconfigdirs gdb ld target-newlib target-libgloss ${libgcj}"
659 ;;
660 alpha*-*-linux*)
661 # newlib is not 64 bit ready
662 noconfigdirs="$noconfigdirs target-newlib target-libgloss"
663 # linux has rx in libc
664 skipdirs="$skipdirs target-librx"
252b5132 665 ;;
ffb97b2f
DD
666 alpha*-*-freebsd*)
667 noconfigdirs="$noconfigdirs target-newlib target-libgloss"
668 ;;
252b5132
RH
669 alpha*-*-*)
670 # newlib is not 64 bit ready
75205f78 671 noconfigdirs="$noconfigdirs target-newlib target-libgloss ${libgcj}"
252b5132 672 ;;
75205f78
DD
673 sh-*-linux*)
674 noconfigdirs="$noconfigdirs ${libgcj} target-newlib target-libgloss"
675 # linux has rx in libc
676 skipdirs="$skipdirs target-librx"
677 ;;
2fb651f6 678 sh*-*-pe|mips*-*-pe|*arm-wince-pe)
75205f78
DD
679 noconfigdirs="$noconfigdirs ${libgcj}"
680 noconfigdirs="$noconfigdirs target-examples"
ba73c63f 681 noconfigdirs="$noconfigdirs target-libiberty texinfo send-pr"
2fb651f6
NC
682 noconfigdirs="$noconfigdirs tcl tix tk itcl libgui sim"
683 noconfigdirs="$noconfigdirs expect dejagnu"
684 # the C++ libraries don't build on top of CE's C libraries
ba73c63f 685 noconfigdirs="$noconfigdirs ${libstdcxx_version}"
2fb651f6
NC
686 skipdirs="$skipdirs target-newlib"
687 case "${host}" in
688 *-*-cygwin*) ;; # keep gdb and readline
ba73c63f 689 *) noconfigdirs="$noconfigdirs gdb readline ${libstdcxx_version}"
2fb651f6
NC
690 ;;
691 esac
692 ;;
252b5132 693 arc-*-*)
75205f78 694 noconfigdirs="$noconfigdirs target-libgloss ${libgcj}"
252b5132
RH
695 ;;
696 arm-*-pe*)
75205f78 697 noconfigdirs="$noconfigdirs target-libgloss ${libgcj}"
252b5132 698 ;;
252b5132 699 arm-*-oabi*)
75205f78 700 noconfigdirs="$noconfigdirs target-libgloss ${libgcj}"
252b5132 701 ;;
252b5132 702 thumb-*-coff)
75205f78 703 noconfigdirs="$noconfigdirs target-libgloss ${libgcj}"
252b5132 704 ;;
252b5132 705 thumb-*-elf)
75205f78 706 noconfigdirs="$noconfigdirs target-libgloss ${libgcj}"
252b5132
RH
707 ;;
708 thumb-*-oabi)
75205f78 709 noconfigdirs="$noconfigdirs target-libgloss ${libgcj}"
252b5132 710 ;;
252b5132 711 strongarm-*-elf)
75205f78 712 noconfigdirs="$noconfigdirs ${libgcj}"
252b5132
RH
713 ;;
714 strongarm-*-coff)
75205f78 715 noconfigdirs="$noconfigdirs ${libgcj}"
252b5132 716 ;;
077b8428 717 xscale-*-elf)
75205f78 718 noconfigdirs="$noconfigdirs target-libffi target-qthreads"
077b8428
NC
719 ;;
720 xscale-*-coff)
75205f78 721 noconfigdirs="$noconfigdirs ${libgcj}"
077b8428 722 ;;
347dad9e 723 thumb-*-pe)
75205f78 724 noconfigdirs="$noconfigdirs target-libgloss ${libgcj}"
252b5132
RH
725 ;;
726 arm-*-riscix*)
75205f78 727 noconfigdirs="$noconfigdirs ld target-libgloss ${libgcj}"
252b5132 728 ;;
077b8428 729 c4x-*-*)
75205f78 730 noconfigdirs="$noconfigdirs ${libstdcxx_version} target-librx target-libgloss ${libgcj}"
077b8428
NC
731 ;;
732 c54x*-*-* | tic54x-*-*)
75205f78
DD
733 noconfigdirs="$noconfigdirs ${libstdcxx_version} target-libgloss ${libgcj} gcc gdb newlib"
734 ;;
735 cris-*-*)
736 noconfigdirs="$noconfigdirs ${libgcj}"
077b8428 737 ;;
252b5132 738 d10v-*-*)
75205f78 739 noconfigdirs="$noconfigdirs target-librx ${libstdcxx_version} target-libgloss ${libgcj}"
252b5132 740 ;;
252b5132 741 d30v-*-*)
75205f78 742 noconfigdirs="$noconfigdirs ${libgcj}"
252b5132 743 ;;
252b5132 744 fr30-*-elf*)
75205f78 745 noconfigdirs="$noconfigdirs ${libgcj}"
252b5132
RH
746 if [ x${is_cross_compiler} != xno ] ; then
747 target_configdirs="${target_configdirs} target-bsp target-libstub target-cygmon"
748 fi
749 ;;
dd1e52a4
JH
750 h8300*-*-*)
751 noconfigdirs="$noconfigdirs target-libgloss"
752 ;;
252b5132 753 h8500-*-*)
75205f78
DD
754 noconfigdirs="$noconfigdirs ${libstdcxx_version} target-librx target-libgloss ${libgcj} target-libf2c"
755 ;;
756 hppa*64*-*-linux* | parisc*64*-*-linux*)
757 # In this case, it's because the hppa64-linux target is for
758 # the kernel only at this point and has no libc, and thus no
759 # headers, crt*.o, etc., all of which are needed by these.
760 noconfigdirs="$noconfigdirs target-zlib"
252b5132
RH
761 ;;
762 hppa*-*-*elf* | \
75205f78 763 parisc*-*-linux* | hppa*-*-linux* | \
09e90eb4
JL
764 hppa*-*-lites* | \
765 hppa*64*-*-*)
75205f78 766 noconfigdirs="$noconfigdirs ${libgcj}"
ba73c63f 767 # Do configure ld/binutils/gas for this case.
252b5132
RH
768 ;;
769 hppa*-*-*)
770 # HP's C compiler doesn't handle Emacs correctly (but on BSD and Mach
771 # cc is gcc, and on any system a user should be able to link cc to
772 # whatever they want. FIXME, emacs emacs19).
773 case "${CC}" in
774 "" | cc*) noconfigdirs="$noconfigdirs emacs emacs19" ;;
775 *) ;;
776 esac
b3ed1d6b
AO
777 # According to Alexandre Oliva <aoliva@redhat.com>, libjava won't
778 # build on HP-UX 10.20.
779 noconfigdirs="$noconfigdirs ld shellutils ${libgcj}"
252b5132 780 ;;
2315914d
JW
781 ia64*-*-elf*)
782 # No gdb support yet.
783 noconfigdirs="$noconfigdirs tix readline mmalloc libgui itcl gdb"
784 ;;
a0c1c920
NC
785 ia64*-**-hpux*)
786 # No gdb or ld support yet.
787 noconfigdirs="$noconfigdirs tix readline mmalloc libgui itcl gdb ld"
788 ;;
252b5132 789 i[3456]86-*-coff | i[3456]86-*-elf)
75205f78 790 noconfigdirs="$noconfigdirs ${libgcj}"
252b5132
RH
791 if [ x${is_cross_compiler} != xno ] ; then
792 target_configdirs="${target_configdirs} target-libstub target-cygmon"
793 fi
794 ;;
ffb97b2f
DD
795 i[34567]86-*-freebsd*)
796 noconfigdirs="$noconfigdirs target-newlib target-libgloss"
797 ;;
75205f78
DD
798 *-*-linux*)
799 noconfigdirs="$noconfigdirs target-newlib target-libgloss"
800 # linux has rx in libc
801 skipdirs="$skipdirs target-librx"
252b5132 802 ;;
252b5132
RH
803 i[3456]86-*-mingw32*)
804 target_configdirs="$target_configdirs target-mingw"
b1af961c 805 noconfigdirs="$noconfigdirs expect target-libgloss ${libgcj}"
252b5132
RH
806
807 # Can't build gdb for mingw32 if not native.
808 case "${host}" in
809 i[3456]86-*-mingw32) ;; # keep gdb tcl tk expect etc.
810 *) noconfigdirs="$noconfigdirs gdb tcl tk expect itcl tix db snavigator gnuserv"
811 ;;
812 esac
813 ;;
814 *-*-cygwin*)
815 target_configdirs="$target_configdirs target-libtermcap target-winsup"
b1af961c 816 noconfigdirs="$noconfigdirs target-gperf target-libgloss ${libgcj}"
252b5132
RH
817 # always build newlib.
818 skipdirs=`echo " ${skipdirs} " | sed -e 's/ target-newlib / /'`
819
820 # Can't build gdb for Cygwin if not native.
821 case "${host}" in
822 *-*-cygwin*) ;; # keep gdb tcl tk expect etc.
823 *) noconfigdirs="$noconfigdirs gdb tcl tk expect itcl tix libgui db snavigator gnuserv"
824 ;;
825 esac
826 ;;
827 i[3456]86-*-pe)
75205f78 828 noconfigdirs="$noconfigdirs ${libstdcxx_version} target-librx target-libgloss ${libgcj}"
252b5132
RH
829 ;;
830 i[3456]86-*-sco3.2v5*)
831 # The linker does not yet know about weak symbols in COFF,
832 # and is not configured to handle mixed ELF and COFF.
75205f78 833 noconfigdirs="$noconfigdirs ld target-libgloss ${libgcj}"
252b5132
RH
834 ;;
835 i[3456]86-*-sco*)
75205f78 836 noconfigdirs="$noconfigdirs gprof target-libgloss ${libgcj}"
252b5132
RH
837 ;;
838 i[3456]86-*-solaris2*)
839 noconfigdirs="$noconfigdirs target-libgloss"
840 ;;
841 i[3456]86-*-sysv4*)
842 # The SYSV4 C compiler doesn't handle Emacs correctly
843 case "${CC}" in
844 "" | cc*) noconfigdirs="$noconfigdirs emacs emacs19" ;;
845 *) ;;
846 esac
847 # but that's okay since emacs doesn't work anyway
75205f78 848 noconfigdirs="$noconfigdirs emacs emacs19 target-libgloss ${libgcj}"
252b5132
RH
849 ;;
850 i[3456]86-*-beos*)
b1af961c 851 noconfigdirs="$noconfigdirs gdb target-newlib target-libgloss ${libgcj}"
252b5132 852 ;;
75205f78
DD
853 m68hc11-*-*|m6811-*-*|m68hc12-*-*|m6812-*-*)
854 noconfigdirs="$noconfigdirs target-libiberty ${libstdcxx_version} ${libgcj}"
f9e0997d 855 ;;
75205f78
DD
856 m68k-*-elf*)
857 noconfigdirs="$noconfigdirs ${libgcj}"
252b5132
RH
858 if [ x${is_cross_compiler} != xno ] ; then
859 target_configdirs="${target_configdirs} target-bsp target-cygmon"
860 fi
861 ;;
862 m68k-*-coff*)
75205f78 863 noconfigdirs="$noconfigdirs ${libgcj}"
252b5132
RH
864 if [ x${is_cross_compiler} != xno ] ; then
865 target_configdirs="${target_configdirs} target-bsp target-cygmon"
866 fi
867 ;;
75205f78
DD
868 mcore-*-pe*)
869 # The EPOC C++ environment does not support exceptions or rtti,
870 # and so building libstdc++-v3 tends not to always work.
871 noconfigdirs="$noconfigdirs target-libstdc++-v3"
872 ;;
873 mmix-*-*)
874 noconfigdirs="$noconfigdirs ${libgcj}"
875 ;;
252b5132 876 mn10200-*-*)
75205f78 877 noconfigdirs="$noconfigdirs ${libgcj}"
252b5132
RH
878 if [ x${is_cross_compiler} != xno ] ; then
879 target_configdirs="${target_configdirs} target-libstub target-cygmon"
880 fi
881 ;;
882 mn10300-*-*)
75205f78 883 noconfigdirs="$noconfigdirs ${libgcj}"
252b5132
RH
884 if [ x${is_cross_compiler} != xno ] ; then
885 target_configdirs="${target_configdirs} target-bsp target-libstub target-cygmon"
886 fi
887 ;;
888 powerpc-*-aix*)
889 # copied from rs6000-*-* entry
75205f78 890 noconfigdirs="$noconfigdirs gprof cvssrc target-libgloss ${libgcj}"
11a383ba 891 use_gnu_ld=yes
252b5132
RH
892 ;;
893 powerpc*-*-winnt* | powerpc*-*-pe* | ppc*-*-pe)
894 target_configdirs="$target_configdirs target-winsup"
75205f78 895 noconfigdirs="$noconfigdirs gdb tcl tk make expect target-libgloss itcl tix db snavigator gnuserv ${libgcj}"
252b5132
RH
896 # always build newlib.
897 skipdirs=`echo " ${skipdirs} " | sed -e 's/ target-newlib / /'`
898 ;;
899 # This is temporary until we can link against shared libraries
900 powerpcle-*-solaris*)
75205f78 901 noconfigdirs="$noconfigdirs gdb sim make tcl tk expect itcl tix db snavigator gnuserv ${libgcj}"
ba73c63f
JM
902 ;;
903 powerpc-*-beos*)
75205f78 904 noconfigdirs="$noconfigdirs gdb target-newlib target-libgloss ${libgcj}"
252b5132
RH
905 ;;
906 powerpc-*-eabi)
75205f78 907 noconfigdirs="$noconfigdirs ${libgcj}"
252b5132
RH
908 if [ x${is_cross_compiler} != xno ] ; then
909 target_configdirs="${target_configdirs} target-bsp target-libstub target-cygmon"
910 fi
911 ;;
912 rs6000-*-lynxos*)
913 # The CVS server code doesn't work on the RS/6000
75205f78 914 noconfigdirs="$noconfigdirs target-newlib gprof cvssrc ${libgcj}"
252b5132
RH
915 ;;
916 rs6000-*-aix*)
75205f78 917 noconfigdirs="$noconfigdirs gprof ${libgcj}"
11a383ba 918 use_gnu_ld=yes
252b5132
RH
919 ;;
920 rs6000-*-*)
75205f78 921 noconfigdirs="$noconfigdirs gprof ${libgcj}"
252b5132
RH
922 ;;
923 m68k-apollo-*)
75205f78 924 noconfigdirs="$noconfigdirs ld binutils gprof target-libgloss ${libgcj}"
252b5132
RH
925 ;;
926 mips*-*-irix5*)
927 # The GNU linker does not support shared libraries.
928 # emacs is emacs 18, which does not work on Irix 5 (emacs19 does work)
75205f78 929 noconfigdirs="$noconfigdirs ld gprof emacs target-libgloss ${libgcj}"
252b5132
RH
930 ;;
931 mips*-*-irix6*)
106117aa 932 # The GNU assembler does not support IRIX 6.
252b5132 933 # emacs is emacs 18, which does not work on Irix 5 (emacs19 does work)
b3ed1d6b
AO
934 # Linking libjava exceeds command-line length limits on at least
935 # IRIX 6.2, but not on IRIX 6.5.
936 # Also, boehm-gc won't build on IRIX 6.5, according to Jeffrey Oldham
937 # <oldham@codesourcery.com>
938 noconfigdirs="$noconfigdirs gas gprof emacs target-libgloss ${libgcj}"
252b5132
RH
939 ;;
940 mips*-dec-bsd*)
75205f78 941 noconfigdirs="$noconfigdirs gprof target-libgloss ${libgcj}"
252b5132
RH
942 ;;
943 mips*-*-bsd*)
75205f78 944 noconfigdirs="$noconfigdirs gprof target-libgloss ${libgcj}"
252b5132
RH
945 ;;
946 mipstx39-*-*)
75205f78 947 noconfigdirs="$noconfigdirs gprof ${libgcj}" # same as generic mips
252b5132
RH
948 target_configdirs="${target_configdirs} target-bsp target-libstub target-cygmon"
949 ;;
fad93c55
L
950 mips*-*-linux*)
951 noconfigdirs="$noconfigdirs target-libffi"
952 ;;
252b5132 953 mips*-*-*)
75205f78 954 noconfigdirs="$noconfigdirs gprof ${libgcj}"
252b5132
RH
955 ;;
956 romp-*-*)
75205f78 957 noconfigdirs="$noconfigdirs bfd binutils ld gas opcodes target-libgloss ${libgcj}"
252b5132
RH
958 ;;
959 sh-*-*)
960 case "${host}" in
961 i[3456]86-*-vsta) ;; # don't add gprof back in
962 i[3456]86-*-go32*) ;; # don't add gprof back in
963 i[3456]86-*-msdosdjgpp*) ;; # don't add gprof back in
964 *) skipdirs=`echo " ${skipdirs} " | sed -e 's/ gprof / /'` ;;
965 esac
75205f78 966 noconfigdirs="$noconfigdirs target-libgloss ${libgcj}"
252b5132 967 ;;
20a5393b
AO
968 sh64-*-*)
969 noconfigdirs="$noconfigdirs target-libgloss ${libgcj}"
970 ;;
252b5132
RH
971 sparc-*-elf*)
972 if [ x${is_cross_compiler} != xno ] ; then
973 target_configdirs="${target_configdirs} target-libstub target-cygmon"
974 fi
975 ;;
976 sparc64-*-elf*)
977 if [ x${is_cross_compiler} != xno ] ; then
978 target_configdirs="${target_configdirs} target-libstub target-cygmon"
979 fi
980 ;;
981 sparclite-*-*)
982 if [ x${is_cross_compiler} != xno ] ; then
983 target_configdirs="${target_configdirs} target-bsp target-libstub target-cygmon"
984 fi
75205f78 985 noconfigdirs="$noconfigdirs ${libgcj}"
252b5132
RH
986 ;;
987 sparc-*-sunos4*)
75205f78 988 noconfigdirs="$noconfigdirs ${libgcj}"
252b5132
RH
989 if [ x${is_cross_compiler} != xno ] ; then
990 noconfigdirs="$noconfigdirs gdb gdbtest target-newlib target-libgloss"
991 else
992 use_gnu_ld=no
993 fi
994 ;;
b3ed1d6b 995 sparc-*-solaris*)
b3ed1d6b 996 ;;
252b5132 997 v810-*-*)
75205f78 998 noconfigdirs="$noconfigdirs bfd binutils gas gcc gdb ld ${libstdcxx_version} opcodes target-libgloss ${libgcj}"
252b5132
RH
999 ;;
1000 v850-*-*)
75205f78 1001 noconfigdirs="$noconfigdirs target-libgloss ${libgcj}"
252b5132 1002 ;;
347dad9e 1003 v850e-*-*)
75205f78 1004 noconfigdirs="$noconfigdirs target-libgloss ${libgcj}"
252b5132
RH
1005 ;;
1006 v850ea-*-*)
75205f78 1007 noconfigdirs="$noconfigdirs target-libgloss ${libgcj}"
347dad9e 1008 ;;
252b5132 1009 vax-*-vms)
75205f78 1010 noconfigdirs="$noconfigdirs bfd binutils gdb ld target-newlib opcodes target-libgloss ${libgcj}"
252b5132
RH
1011 ;;
1012 vax-*-*)
75205f78 1013 noconfigdirs="$noconfigdirs target-newlib target-libgloss ${libgcj}"
96ce09a7 1014 ;;
252b5132 1015 *-*-lynxos*)
75205f78 1016 noconfigdirs="$noconfigdirs target-newlib target-libgloss ${libgcj}"
252b5132
RH
1017 ;;
1018 *-*-macos* | \
1019 *-*-mpw*)
1020 # Macs want a resource compiler.
1021 configdirs="$configdirs grez"
75205f78 1022 noconfigdirs="$noconfigdirs ${libgcj}"
252b5132 1023 ;;
75205f78
DD
1024 *-*-*)
1025 noconfigdirs="$noconfigdirs ${libgcj}"
1026 ;;
252b5132
RH
1027esac
1028
1029# If we aren't building newlib, then don't build libgloss, since libgloss
1030# depends upon some newlib header files.
1031case "${noconfigdirs}" in
1032 *target-libgloss*) ;;
1033 *target-newlib*) noconfigdirs="$noconfigdirs target-libgloss" ;;
1034esac
1035
1036# Make sure we don't let GNU ld be added if we didn't want it.
1037if [ x$with_gnu_ld = xno ]; then
1038 use_gnu_ld=no
1039 noconfigdirs="$noconfigdirs ld"
1040fi
1041
1042# Make sure we don't let GNU as be added if we didn't want it.
1043if [ x$with_gnu_as = xno ]; then
1044 use_gnu_as=no
1045 noconfigdirs="$noconfigdirs gas"
1046fi
1047
6ee6cea6
AO
1048# Figure out what language subdirectories are present.
1049# Look if the user specified --enable-languages="..."; if not, use
1050# the environment variable $LANGUAGES if defined. $LANGUAGES might
1051# go away some day.
922b2485 1052# NB: embedded tabs in this IF block -- do not untabify
6ee6cea6
AO
1053if test x"${enable_languages+set}" != xset; then
1054 if test x"${LANGUAGES+set}" = xset; then
922b2485
DD
1055 enable_languages="${LANGUAGES}"
1056 echo configure.in: warning: setting LANGUAGES is deprecated, use --enable-languages instead 1>&2
6ee6cea6
AO
1057 else
1058 enable_languages=all
1059 fi
1060else
922b2485
DD
1061 if test x"${enable_languages}" = x ||
1062 test x"${enable_languages}" = xyes;
1063 then
1064 echo configure.in: --enable-languages needs at least one language argument 1>&2
6ee6cea6
AO
1065 exit 1
1066 fi
1067fi
922b2485
DD
1068enable_languages=`echo "${enable_languages}" | sed -e 's/[ ,][ ,]*/,/g' -e 's/,$//'`
1069
75205f78
DD
1070# First scan to see if an enabled language requires some other language.
1071# We assume that a given config-lang.in will list all the language
1072# front ends it requires, even if some are required indirectly.
1073for lang in ${srcdir}/gcc/*/config-lang.in ..
1074do
1075 case $lang in
1076 ..)
1077 ;;
1078 # The odd quoting in the next line works around
1079 # an apparent bug in bash 1.12 on linux.
1080 ${srcdir}/gcc/[*]/config-lang.in)
1081 ;;
1082 *)
1083 lang_alias=`sed -n -e 's,^language=['"'"'"'"]\(.*\)["'"'"'"'].*$,\1,p' -e 's,^language=\([^ ]*\).*$,\1,p' $lang`
1084 this_lang_requires=`sed -n -e 's,^lang_requires=['"'"'"'"]\(.*\)["'"'"'"'].*$,\1,p' -e 's,^lang_requires=\([^ ]*\).*$,\1,p' $lang`
1085 for other in $this_lang_requires
1086 do
1087 case ,${enable_languages}, in
1088 *,$other,*)
1089 ;;
1090 *,all,*)
1091 ;;
1092 *,$lang_alias,*)
1093 echo " \`$other' language required by \`$lang_alias'; enabling" 1>&2
1094 enable_languages="$enable_languages,$other"
1095 ;;
1096 esac
1097 done
1098 ;;
1099 esac
1100done
1101
6ee6cea6
AO
1102subdirs=
1103for lang in ${srcdir}/gcc/*/config-lang.in ..
1104do
1105 case $lang in
1106 ..) ;;
1107 # The odd quoting in the next line works around
1108 # an apparent bug in bash 1.12 on linux.
1109 ${srcdir}/gcc/[*]/config-lang.in) ;;
1110 *)
1111 lang_alias=`sed -n -e 's,^language=['"'"'"'"]\(.*\)["'"'"'"'].*$,\1,p' -e 's,^language=\([^ ]*\).*$,\1,p' $lang`
1112 this_lang_libs=`sed -n -e 's,^target_libs=['"'"'"'"]\(.*\)["'"'"'"'].*$,\1,p' -e 's,^target_libs=\([^ ]*\).*$,\1,p' $lang`
75205f78 1113 this_lang_dirs=`sed -n -e 's,^lang_dirs=['"'"'"'"]\(.*\)["'"'"'"'].*$,\1,p' -e 's,^lang_dirs=\([^ ]*\).*$,\1,p' $lang`
6ee6cea6
AO
1114 build_by_default=`sed -n -e 's,^build_by_default=['"'"'"'"]\(.*\)["'"'"'"'].*$,\1,p' -e 's,^build_by_default=\([^ ]*\).*$,\1,p' $lang`
1115 if test "x$lang_alias" = x
1116 then
1117 echo "$lang doesn't set \$language." 1>&2
1118 exit 1
1119 fi
1120 case ${build_by_default},${enable_languages}, in
1121 *,$lang_alias,*) add_this_lang=yes ;;
1122 no,*) add_this_lang=no ;;
1123 *,all,*) add_this_lang=yes ;;
1124 *) add_this_lang=no ;;
1125 esac
1126 if test x"${add_this_lang}" = xyes; then
1127 eval target_libs='"$target_libs "'\"$this_lang_libs\"
1128 else
75205f78 1129 eval noconfigdirs='"$noconfigdirs "'\"$this_lang_libs $this_lang_dirs\"
6ee6cea6
AO
1130 fi
1131 ;;
1132 esac
1133done
1134
252b5132
RH
1135# Remove the entries in $skipdirs and $noconfigdirs from $configdirs and
1136# $target_configdirs.
1137# If we have the source for $noconfigdirs entries, add them to $notsupp.
1138
1139notsupp=""
1140for dir in . $skipdirs $noconfigdirs ; do
1141 dirname=`echo $dir | sed -e s/target-//g`
1142 if [ $dir != . ] && echo " ${configdirs} " | grep " ${dir} " >/dev/null 2>&1; then
1143 configdirs=`echo " ${configdirs} " | sed -e "s/ ${dir} / /"`
1144 if [ -r $srcdir/$dirname/configure ] \
1145 || [ -r $srcdir/$dirname/configure.in ]; then
1146 if echo " ${skipdirs} " | grep " ${dir} " >/dev/null 2>&1; then
1147 true
1148 else
1149 notsupp="$notsupp $dir"
1150 fi
1151 fi
1152 fi
1153 if [ $dir != . ] && echo " ${target_configdirs} " | grep " ${dir} " >/dev/null 2>&1; then
1154 target_configdirs=`echo " ${target_configdirs} " | sed -e "s/ ${dir} / /"`
1155 if [ -r $srcdir/$dirname/configure ] \
1156 || [ -r $srcdir/$dirname/configure.in ]; then
1157 if echo " ${skipdirs} " | grep " ${dir} " >/dev/null 2>&1; then
1158 true
1159 else
1160 notsupp="$notsupp $dir"
1161 fi
1162 fi
1163 fi
1164done
1165
1166# Sometimes the tools are distributed with libiberty but with no other
1167# libraries. In that case, we don't want to build target-libiberty.
1168if [ -n "${target_configdirs}" ]; then
1169 others=
1170 for i in `echo ${target_configdirs} | sed -e s/target-//g` ; do
1171 if [ "$i" != "libiberty" ]; then
1172 if [ -r $srcdir/$i/configure ] || [ -r $srcdir/$i/configure.in ]; then
1173 others=yes;
1174 break;
1175 fi
1176 fi
1177 done
1178 if [ -z "${others}" ]; then
1179 target_configdirs=
1180 fi
1181fi
1182
1183# Deconfigure all subdirectories, in case we are changing the
1184# configuration from one where a subdirectory is supported to one where it
1185# is not.
1186if [ -z "${norecursion}" ] && [ -n "${configdirs}" ]; then
1187 for i in `echo ${configdirs} | sed -e s/target-//g` ; do
1188 rm -f $i/Makefile
1189 done
1190fi
1191if [ -z "${norecursion}" ] && [ -n "${target_configdirs}" ]; then
1192 for i in `echo ${target_configdirs} | sed -e s/target-//g` ; do
1193 rm -f ${target_subdir}/$i/Makefile
1194 done
1195fi
1196
a0a2c6c6
DD
1197# Quietly strip out all directories which aren't configurable in this tree.
1198# This relies on all configurable subdirectories being autoconfiscated, which
1199# is now the case.
1200configdirs_all="$configdirs"
1201configdirs=
1202for i in ${configdirs_all} ; do
1203 if test -f ${srcdir}/$i/configure ; then
1204 configdirs="${configdirs} $i"
1205 fi
1206done
1207target_configdirs_all="$target_configdirs"
1208target_configdirs=
1209for i in ${target_configdirs_all} ; do
1210 j=`echo $i | sed -e s/target-//g`
1211 if test -f ${srcdir}/$j/configure ; then
1212 target_configdirs="${target_configdirs} $i"
1213 fi
1214done
1215
252b5132
RH
1216# Produce a warning message for the subdirs we can't configure.
1217# This isn't especially interesting in the Cygnus tree, but in the individual
1218# FSF releases, it's important to let people know when their machine isn't
1219# supported by the one or two programs in a package.
1220
1221if [ -n "${notsupp}" ] && [ -z "${norecursion}" ]; then
1222 # If $appdirs is non-empty, at least one of those directories must still
1223 # be configured, or we error out. (E.g., if the gas release supports a
1224 # specified target in some subdirs but not the gas subdir, we shouldn't
1225 # pretend that all is well.)
1226 if [ -n "$appdirs" ]; then
1227 for dir in $appdirs ; do
1228 if [ -r $dir/Makefile.in ]; then
1229 if echo " ${configdirs} " | grep " ${dir} " >/dev/null 2>&1; then
1230 appdirs=""
1231 break
1232 fi
1233 if echo " ${target_configdirs} " | grep " ${dir} " >/dev/null 2>&1; then
1234 appdirs=""
1235 break
1236 fi
1237 fi
1238 done
1239 if [ -n "$appdirs" ]; then
1240 echo "*** This configuration is not supported by this package." 1>&2
1241 exit 1
1242 fi
1243 fi
1244 # Okay, some application will build, or we don't care to check. Still
1245 # notify of subdirs not getting built.
1246 echo "*** This configuration is not supported in the following subdirectories:" 1>&2
1247 echo " ${notsupp}" 1>&2
1248 echo " (Any other directories should still work fine.)" 1>&2
1249fi
1250
1251# Set with_gnu_as and with_gnu_ld as appropriate.
1252#
1253# This is done by determining whether or not the appropriate directory
1254# is available, and by checking whether or not specific configurations
1255# have requested that this magic not happen.
1256#
1257# The command line options always override the explicit settings in
1258# configure.in, and the settings in configure.in override this magic.
1259#
1260# If the default for a toolchain is to use GNU as and ld, and you don't
1261# want to do that, then you should use the --without-gnu-as and
1262# --without-gnu-ld options for the configure script.
1263
1264if [ x${use_gnu_as} = x ] ; then
1265 if [ x${with_gnu_as} != xno ] && echo " ${configdirs} " | grep " ${gasdir} " > /dev/null 2>&1 && [ -d ${srcdir}/${gasdir} ] ; then
1266 with_gnu_as=yes
1267 withoptions="$withoptions --with-gnu-as"
1268 fi
1269fi
1270
1271if [ x${use_gnu_ld} = x ] ; then
1272 if [ x${with_gnu_ld} != xno ] && echo " ${configdirs} " | grep " ld " > /dev/null 2>&1 && [ -d ${srcdir}/ld ] ; then
1273 with_gnu_ld=yes
1274 withoptions="$withoptions --with-gnu-ld"
1275 fi
1276fi
1277
1278# If using newlib, add --with-newlib to the withoptions so that gcc/configure
1279# can detect this case.
1280
1281if [ x${with_newlib} != xno ] && echo " ${target_configdirs} " | grep " target-newlib " > /dev/null 2>&1 && [ -d ${srcdir}/newlib ] ; then
1282 with_newlib=yes
1283 withoptions="$withoptions --with-newlib"
1284fi
1285
252b5132
RH
1286rm -f mt-frag
1287if [ -n "${target_makefile_frag}" ] ; then
1288 for f in ${target_makefile_frag}
1289 do
1290 cat ${srcdir}/$f >> mt-frag
1291 done
1292 target_makefile_frag=mt-frag
1293fi
1294
1295# post-target:
1296
1297# Make sure that the compiler is able to generate an executable. If it
1298# can't, we are probably in trouble. We don't care whether we can run the
1299# executable--we might be using a cross compiler--we only care whether it
1300# can be created. At this point the main configure script has set CC.
1301echo "int main () { return 0; }" > conftest.c
1302${CC} -o conftest ${CFLAGS} ${CPPFLAGS} ${LDFLAGS} conftest.c
1303if [ $? = 0 ] && [ -s conftest -o -s conftest.exe ]; then
1304 :
1305else
1306 echo 1>&2 "*** The command '${CC} -o conftest ${CFLAGS} ${CPPFLAGS} ${LDFLAGS} conftest.c' failed."
1307 echo 1>&2 "*** You must set the environment variable CC to a working compiler."
1308 rm -f conftest*
1309 exit 1
1310fi
1311rm -f conftest*
1312
1313# The Solaris /usr/ucb/cc compiler does not appear to work.
1314case "${host}" in
1315 sparc-sun-solaris2*)
1316 CCBASE="`echo ${CC-cc} | sed 's/ .*$//'`"
75205f78 1317 if [ "`type $CCBASE | sed 's/^[^/]*//'`" = "/usr/ucb/cc" ] ; then
252b5132
RH
1318 could_use=
1319 [ -d /opt/SUNWspro/bin ] && could_use="/opt/SUNWspro/bin"
1320 if [ -d /opt/cygnus/bin ] ; then
1321 if [ "$could_use" = "" ] ; then
1322 could_use="/opt/cygnus/bin"
1323 else
1324 could_use="$could_use or /opt/cygnus/bin"
1325 fi
1326 fi
1327 if [ "$could_use" = "" ] ; then
1328 echo "Warning: compilation may fail because you're using"
1329 echo "/usr/ucb/cc. You should change your PATH or CC "
1330 echo "variable and rerun configure."
1331 else
1332 echo "Warning: compilation may fail because you're using"
1333 echo "/usr/ucb/cc, when you should use the C compiler from"
1334 echo "$could_use. You should change your"
1335 echo "PATH or CC variable and rerun configure."
1336 fi
1337 fi
1338 ;;
1339esac
1340
dbf93899
DD
1341# If we're building libgcj and we're using the Solaris 2.8 linker,
1342# then we check for a known problem.
1343if test "x${libgcj}" = x && test "${with_gnu_ld}" != yes \
1344 && test "${is_cross_compiler}" = no; then
1345
1346 case "${host}" in
1347 sparc-*-solaris2.8)
1348 if test "$libdir" = '${exec_prefix}/lib';then
1349 if test "$exec_prefix" = '$(prefix)'; then
1350 tlibdir="$prefix/lib"
1351 else
1352 tlibdir="$exec_prefix/lib"
1353 fi
1354 else
1355 tlibdir="$libdir"
1356 fi
1357 if test -f $tlibdir/libgcj.la; then
1358 echo "*** You've already installed libgcj in $tlibdir." 1>&2
1359 echo " This causes problems when rebuilding libgcj with the Solaris 2.8 linker." 1>&2
1360 echo " Either disable the libgcj build, or remove the" 1>&2
1361 echo " already-installed libgcj files." 1>&2
1362 exit 1
1363 fi
1364 ;;
1365 esac
1366fi
1367
252b5132
RH
1368# If --enable-shared was set, we must set LD_LIBRARY_PATH so that the
1369# binutils tools will find libbfd.so.
1370if [ "${shared}" = "yes" ]; then
1371 sed -e 's/^SET_LIB_PATH[ ]*=.*$/SET_LIB_PATH = $(REALLY_SET_LIB_PATH)/' \
1372 Makefile > Makefile.tem
1373 rm -f Makefile
1374 mv -f Makefile.tem Makefile
1375
1376 case "${host}" in
1377 *-*-hpux*)
1378 sed -e 's/^RPATH_ENVVAR[ ]*=.*$/RPATH_ENVVAR = SHLIB_PATH/' \
1379 Makefile > Makefile.tem
1380 rm -f Makefile
1381 mv -f Makefile.tem Makefile
1382 ;;
1383 esac
1384fi
1385
49b7683b
DD
1386# Record target_configdirs and the configure arguments for target and
1387# build configuration in Makefile.
252b5132
RH
1388target_configdirs=`echo "${target_configdirs}" | sed -e 's/target-//g'`
1389targargs=`echo "${arguments}" | \
1390 sed -e 's/--no[^ ]*//' \
1391 -e 's/--cache[a-z-]*=[^ ]*//' \
1392 -e 's/--ho[a-z-]*=[^ ]*//' \
1393 -e 's/--bu[a-z-]*=[^ ]*//' \
1394 -e 's/--ta[a-z-]*=[^ ]*//'`
1395
49b7683b
DD
1396# For the build-side libraries, we just need to pretend we're native,
1397# and not use the same cache file. Multilibs are neither needed nor
1398# desired.
1399buildargs="--cache-file=../config.cache --build=${build_alias} --host=${build_alias} ${targargs}"
1400
252b5132
RH
1401# Passing a --with-cross-host argument lets the target libraries know
1402# whether they are being built with a cross-compiler or being built
1403# native. However, it would be better to use other mechanisms to make the
1404# sorts of decisions they want to make on this basis. Please consider
1405# this option to be deprecated. FIXME.
1406if [ x${is_cross_compiler} = xyes ]; then
1407 targargs="--with-cross-host=${host_alias} ${targargs}"
1408fi
1409
1410# Default to --enable-multilib.
1411if [ x${enable_multilib} = x ]; then
1412 targargs="--enable-multilib ${targargs}"
1413fi
1414
1415# Pass --with-newlib if appropriate. Note that target_configdirs has
1416# changed from the earlier setting of with_newlib.
1417if [ x${with_newlib} != xno ] && echo " ${target_configdirs} " | grep " newlib " > /dev/null 2>&1 && [ -d ${srcdir}/newlib ] ; then
1418 targargs="--with-newlib ${targargs}"
1419fi
1420
49b7683b
DD
1421# Pass the appropriate --host, --build, and --cache-file arguments.
1422targargs="--cache-file=../config.cache --host=${target_alias} --build=${build_alias} ${targargs}"
1423
252b5132
RH
1424# provide a proper gxx_include_dir.
1425# Note, if you change the default, make sure to fix both here and in
75205f78 1426# the gcc and libstdc++-v3 subdirectories.
252b5132
RH
1427# Check whether --with-gxx-include-dir or --without-gxx-include-dir was given.
1428gxx_include_dir=
1429if test -n "${with_gxx_include_dir}"; then
1430 case "${with_gxx_include_dir}" in
1431 yes )
1432 echo "configure.in: error: bad value ${withval} given for g++ include directory" 1>&2
1433 exit 1
1434 ;;
1435 no )
1436 ;;
1437 * )
1438 gxx_include_dir=${with_gxx_include_dir}
1439 ;;
1440 esac
1441fi
1442if test x${gxx_include_dir} = x; then
1443 if test x${enable_version_specific_runtime_libs} = xyes; then
1444 gxx_include_dir='${libsubdir}/include/g++'
1445 else
1446 . ${topsrcdir}/config.if
75205f78 1447 gxx_include_dir='${prefix}/include/${libstdcxx_incdir}'
252b5132
RH
1448 fi
1449else
1450 gxx_include_dir=${gxx_include_dir}
1451fi
1452
9e449d3e 1453FLAGS_FOR_TARGET=
9e449d3e
AO
1454case " $skipdirs " in
1455*" target-newlib "*) ;;
1456*)
75205f78
DD
1457 case " $target_configdirs " in
1458 *" newlib "*)
1459 case " $targargs " in
1460 *" --with-newlib "*)
9e449d3e 1461 case "$target" in
63266560 1462 *-cygwin*)
9e449d3e
AO
1463 FLAGS_FOR_TARGET=$FLAGS_FOR_TARGET' -L$$r/$(TARGET_SUBDIR)/winsup -L$$r/$(TARGET_SUBDIR)/winsup/cygwin -L$$r/$(TARGET_SUBDIR)/winsup/w32api/lib -isystem $$s/winsup/include -isystem $$s/winsup/cygwin/include -isystem $$s/winsup/w32api/include -isystem $$s/newlib/libc/sys/cygwin -isystem $$s/newlib/libc/sys/cygwin32' ;;
1464 esac
1465
7450026c
AO
1466 # If we're not building GCC, don't discard standard headers.
1467 if test -d ${topsrcdir}/gcc; then
63266560 1468 FLAGS_FOR_TARGET=$FLAGS_FOR_TARGET' -nostdinc'
7450026c
AO
1469
1470 if test "${build}" != "${host}"; then
1471 # On Canadian crosses, CC_FOR_TARGET will have already been set
1472 # by `configure', so we won't have an opportunity to add -Bgcc/
1473 # to it. This is right: we don't want to search that directory
1474 # for binaries, but we want the header files in there, so add
1475 # them explicitly.
1476 FLAGS_FOR_TARGET=$FLAGS_FOR_TARGET' -isystem $$r/gcc/include'
1477
1478 # Someone might think of using the pre-installed headers on
1479 # Canadian crosses, in case the installed compiler is not fully
1480 # compatible with the compiler being built. In this case, it
1481 # would be better to flag an error than risking having
1482 # incompatible object files being constructed. We can't
1483 # guarantee that an error will be flagged, but let's hope the
1484 # compiler will do it, when presented with incompatible header
1485 # files.
1486 fi
63266560
DD
1487 fi
1488
0a0d0041
TF
1489 case "${target}-${is_cross_compiler}" in
1490 i[3456]86-pc-linux*-no)
1491 # Here host == target, so we don't need to build gcc,
1492 # so we don't want to discard standard headers.
1493 FLAGS_FOR_TARGET=`echo " $FLAGS_FOR_TARGET " | sed -e 's/ -nostdinc / /'`
1494 FLAGS_FOR_TARGET=$FLAGS_FOR_TARGET' -B$$r/$(TARGET_SUBDIR)/newlib/'
1495 ;;
1496 *)
1497 # If we're building newlib, use its generic headers last, but search
1498 # for any libc-related directories first (so make it the last -B
1499 # switch).
1500 FLAGS_FOR_TARGET=$FLAGS_FOR_TARGET' -B$$r/$(TARGET_SUBDIR)/newlib/ -isystem $$r/$(TARGET_SUBDIR)/newlib/targ-include -isystem $$s/newlib/libc/include'
1501 ;;
1502 esac
9e449d3e 1503 ;;
75205f78
DD
1504 esac
1505 ;;
1506 esac
1507 ;;
9e449d3e 1508esac
63266560
DD
1509
1510# On Canadian crosses, we'll be searching the right directories for
1511# the previously-installed cross compiler, so don't bother to add
1512# flags for directories within the install tree of the compiler
1513# being built; programs in there won't even run.
1514if test "${build}" = "${host}" && test -d ${topsrcdir}/gcc; then
9e449d3e
AO
1515 # Search for pre-installed headers if nothing else fits.
1516 FLAGS_FOR_TARGET=$FLAGS_FOR_TARGET' -B$(build_tooldir)/bin/ -B$(build_tooldir)/lib/ -isystem $(build_tooldir)/include'
1517fi
63266560 1518
9e449d3e
AO
1519if test "x${use_gnu_ld}" = x && test "x${with_gnu_ld}" != xno &&
1520 echo " ${configdirs} " | grep " ld " > /dev/null &&
1521 test -d ${srcdir}/ld; then
1522 # Arrange for us to find uninstalled linker scripts.
1523 FLAGS_FOR_TARGET=$FLAGS_FOR_TARGET' -L$$r/ld'
1524fi
1525
63266560
DD
1526if test "x${CC_FOR_TARGET+set}" = xset; then
1527 :
1528elif test -d ${topsrcdir}/gcc; then
98fbe43f 1529 CC_FOR_TARGET='$$r/gcc/xgcc -B$$r/gcc/'
9e449d3e
AO
1530elif test "$host" = "$target"; then
1531 CC_FOR_TARGET='$(CC)'
1532else
1533 CC_FOR_TARGET=`echo gcc | sed -e 's/x/x/' ${program_transform_name}`
1534fi
63266560
DD
1535# On Canadian crosses, configure reads CC_FOR_TARGET from Makefile,
1536# if Makefile exists. Prevent $(FLAGS_FOR_TARGET) from being duplicated.
1537case $CC_FOR_TARGET in
1538*' $(FLAGS_FOR_TARGET)') ;;
1539*) CC_FOR_TARGET=$CC_FOR_TARGET' $(FLAGS_FOR_TARGET)' ;;
1540esac
9e449d3e 1541
75205f78
DD
1542if test "x${GCJ_FOR_TARGET+set}" = xset; then
1543 :
1544elif test -d ${topsrcdir}/gcc; then
1545 GCJ_FOR_TARGET='$$r/gcc/gcj -B$$r/gcc/'
1546elif test "$host" = "$target"; then
1547 GCJ_FOR_TARGET='gcj'
1548else
1549 GCJ_FOR_TARGET=`echo gcj | sed -e 's/x/x/' ${program_transform_name}`
1550fi
1551case $GCJ_FOR_TARGET in
1552*' $(FLAGS_FOR_TARGET)') ;;
1553*) GCJ_FOR_TARGET=$GCJ_FOR_TARGET' $(FLAGS_FOR_TARGET)' ;;
1554esac
1555
63266560
DD
1556if test "x${CXX_FOR_TARGET+set}" = xset; then
1557 :
98fbe43f 1558elif test -d ${topsrcdir}/gcc; then
2e8357fc
AO
1559 # We add -shared-libgcc to CXX_FOR_TARGET whenever we use xgcc instead
1560 # of g++ for linking C++ or Java, because g++ has -shared-libgcc by
1561 # default whereas gcc does not.
1562 CXX_FOR_TARGET='$$r/gcc/`case $$dir in libstdc++-v3 | libjava) echo xgcc -shared-libgcc ;; *) echo g++ ;; esac` -B$$r/gcc/ -nostdinc++ '$libstdcxx_flags
9e449d3e
AO
1563elif test "$host" = "$target"; then
1564 CXX_FOR_TARGET='$(CXX)'
1565else
1566 CXX_FOR_TARGET=`echo c++ | sed -e 's/x/x/' ${program_transform_name}`
1567fi
63266560
DD
1568case $CXX_FOR_TARGET in
1569*' $(FLAGS_FOR_TARGET)') ;;
1570*) CXX_FOR_TARGET=$CXX_FOR_TARGET' $(FLAGS_FOR_TARGET)' ;;
1571esac
dec0cb0c
AO
1572qCXX_FOR_TARGET=`echo "$CXX_FOR_TARGET" | sed 's,[&%],\\\&,g'`
1573
1574# We want to defer the evaluation of `cmd`s and shell variables in
1575# CXX_FOR_TARGET when recursing in the top-level Makefile, such as for
1576# bootstrap. We'll enclose CXX_FOR_TARGET_FOR_RECURSIVE_MAKE in single
1577# quotes, but we still have to duplicate `$'s so that shell variables
1578# can be expanded by the nested make as shell variables, not as make
1579# macros.
1580qqCXX_FOR_TARGET=`echo "$qCXX_FOR_TARGET" | sed -e 's,[$][$],$$$$,g'`
9e449d3e 1581
75205f78
DD
1582sedtemp=sed.$$
1583cat >$sedtemp <<EOF
1584s:^TARGET_CONFIGDIRS[ ]*=.*$:TARGET_CONFIGDIRS = ${target_configdirs}:
1585s%^TARGET_CONFIGARGS[ ]*=.*$%TARGET_CONFIGARGS = ${targargs}%
1586s%^FLAGS_FOR_TARGET[ ]*=.*$%FLAGS_FOR_TARGET = ${FLAGS_FOR_TARGET}%
1587s%^CC_FOR_TARGET[ ]*=.*$%CC_FOR_TARGET = ${CC_FOR_TARGET}%
75205f78
DD
1588s%^GCJ_FOR_TARGET[ ]*=.*$%GCJ_FOR_TARGET = ${GCJ_FOR_TARGET}%
1589s%^CXX_FOR_TARGET[ ]*=.*$%CXX_FOR_TARGET = ${qCXX_FOR_TARGET}%
1590s%^CXX_FOR_TARGET_FOR_RECURSIVE_MAKE[ ]*=.*$%CXX_FOR_TARGET_FOR_RECURSIVE_MAKE = ${qqCXX_FOR_TARGET}%
1591s%^TARGET_SUBDIR[ ]*=.*$%TARGET_SUBDIR = ${target_subdir}%
1592s%^BUILD_SUBDIR[ ]*=.*$%BUILD_SUBDIR = ${build_subdir}%
1593s%^BUILD_CONFIGARGS[ ]*=.*$%BUILD_CONFIGARGS = ${buildargs}%
1594s%^gxx_include_dir[ ]*=.*$%gxx_include_dir=${gxx_include_dir}%
1595EOF
1596sed -f $sedtemp Makefile > Makefile.tem
1597rm -f Makefile $sedtemp
252b5132
RH
1598mv -f Makefile.tem Makefile
1599
1600#
1601# Local Variables:
1602# fill-column: 131
1603# End:
1604#
This page took 0.200464 seconds and 4 git commands to generate.